cancel
Showing results for 
Search instead for 
Did you mean: 

Sophos MDM / Extreme Connect - version support?

Sophos MDM / Extreme Connect - version support?

mp2014
New Contributor II
Hi,

anyone tried Extreme Connect for integrating Sophos Mobile Control? What versions of sophos mobile control are supported for this?
We are runnning EMC 8.1.2.59 and Sophos Mobile Control 8.1.3

3 REPLIES 3

Leo_Lam1
New Contributor
The integration uses the Sophos SOAP API. Looks like SMC 6 was the last version that supported it. We would need to update the integration to use their new REST API.

mp2014
New Contributor II
Hi,

well, server.log on EMC shows:
...
org.apache.cxf.transport.http.HTTPException: HTTP response '405: Method Not Allowed' when communicating with https://servername/mdmWebservice

If I do a GET https://servername/mdmWebservice it results in "Not found"

I'll go on reading Sophos Docs, maybe this API is depreceated

Edit: Checked on Sophos Docs
Seems there was a change in API in SMC Version 6 and again in SMC 8.x.:
http://docs.sophos.com/esg/smc/8-1/admin/en-us/webhelp/PDF/smc_nac.pdf

Looks quiet different from what the sophos MDM Module in EMC tries to do.

kind regards,
mp2014

Kurt_Semba
Contributor
Hi,
this integration has been developed using Sophos Mobile Control v4.0.0.4. Usually, APIs don't change that often but since we didn't test the Sophos release you are using we cannot promis it will work. If it doesn't, please let us know and we will help you fix it.

Hope this helps,
Kurt
GTM-P2G8KFN